org.eclipse.jdt.junit.model

## Interface ITestElementContainer

All Superinterfaces:
  ITestElement

All Known Subinterfaces:
  ITestRunSession, ITestSuiteElement

    public interface ITestElementContainer
    extends ITestElement

Common protocol for test elements containers. This set consists of `ITestSuiteElement` and `ITestRunSession`

This interface is not intended to be implemented by clients.

Since:
  3.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jdt.junit.model.ITestElement

`ITestElement.FailureTrace, ITestElement.ProgressState, ITestElement.Result`

### Method Summary

All Methods Instance Methods Abstract Methods
`ITestElement[]` `getChildren()` Returns all tests (and test suites) contained in the suite.

### Methods inherited from interface org.eclipse.jdt.junit.model.ITestElement

`getElapsedTimeInSeconds, getFailureTrace, getParentContainer, getProgressState, getTestResult, getTestRunSession`

### Method Detail

#### getChildren

    ITestElement[] getChildren()

Returns all tests (and test suites) contained in the suite.

Returns:
  returns all tests (and test suites) contained in the suite.